Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.pool
Class PreparedStatement

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Statement
            |
            +--weblogic.jdbc.pool.Statement
                  |
                  +--weblogic.jdbc.pool.PreparedStatement

Direct Known Subclasses:
  CallableStatement

public class PreparedStatement
extends Statement
implements java.sql.PreparedStatement

Author:
  Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Statement
`cc, conn, key, stmt`

Constructor Summary
`PreparedStatement()`
`PreparedStatement(java.sql.PreparedStatement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, Connection aConn)`

Method Summary
`boolean` | `execute()`
`boolean` | `execute(java.lang.String sql)`
`java.sql.ResultSet` | `executeQuery()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate()`
`int` | `executeUpdate(java.lang.String sql)`

Methods inherited from class weblogic.jdbc.pool.Statement
`getResultSet`

Methods inherited from class weblogic.jdbcbase.pool.Statement
`cancel, clearParameters, clearWarnings, close, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatement

    public PreparedStatement()

### PreparedStatement

    public PreparedStatement(java.sql.PreparedStatement jstmt,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             java.lang.String aKey,
                             Connection aConn)

Method Detail

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.PreparedStatement

  Returns:
    boolean
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    execute in class weblogic.jdbcbase.pool.Statement

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.PreparedStatement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.PreparedStatement

  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeUpdate in class weblogic.jdbcbase.pool.Statement

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeQuery in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeUpdate in class Statement

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    boolean
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    execute in class weblogic.jdbcbase.pool.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD